(set-info :smt-lib-version 2.6)
(set-logic UF)
(set-info :source |Benchmarks from the paper: "Extending Sledgehammer with SMT Solvers" by Jasmin Blanchette, Sascha Bohme, and Lawrence C. Paulson, CADE 2011.  Translated to SMT2 by Andrew Reynolds and Morgan Deters.|)
(set-info :category "industrial")
(set-info :status unknown)
(declare-sort V 0)
(declare-fun R (V V) Bool)
(declare-fun v0 () V)
(declare-fun v1 () V)
(declare-fun v2 () V)
(declare-fun v3 () V)
(declare-fun v4 () V)
(declare-fun v5 () V)
(assert (distinct v0 v1 v2 v3 v4 v5))
(assert (forall ((?x V) (?y V)) (=> (R ?x ?y) (R ?y ?x))))
(assert (forall ((?x V) (?y V) (?z V)) (or (= ?x ?y) (= ?x ?z) (= ?y ?z) (not (R ?x ?y)) (not (R ?x ?z)) (not (R ?y ?z)))))
(assert (forall ((?x V) (?y V) (?z V)) (or (= ?x ?y) (= ?x ?z) (= ?y ?z) (R ?x ?y) (R ?x ?z) (R ?y ?z))))
(check-sat)
